Ahnaf.Shahriar.Asif's blog

By Ahnaf.Shahriar.Asif, history, 3 months ago, In English

Hello everyone! Hope you are having a good time. Recently, I've been having some small issues with codeforces submit source code section (Image is attached). It automatically changes all my indentation blocks into "undefined" text. If I submit the code, it runs/evaluates perfectly though.

Note: I am using sublime text to write codes, and I use spaces for indentation (not tabs)

 source-code-undefined

Full text and comments »

  • Vote: I like it
  • +35
  • Vote: I do not like it

By Ahnaf.Shahriar.Asif, history, 3 years ago, In English

AND EVERYONE ELSE :D

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 4 years ago, In English

UPD: The problem is fixed now

I'm trying to register for the upcoming Codeforces Round #602 (Div. 2, based on Technocup 2020 Elimination Round 3) but I can't for some reasons. When I click the Register button, nothing happens. Is it a bug or something? What should I do?

image

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

I have a question. I have enabled "are test points allowed?" from the general description. Then I got a new column to specify test points individually. Please look at the picture bellow:

mainnnn

And the picture of Groups points policy:

mainndfdfdf

Now, what to do? I have 20 test cases for group 1, 30 for group 2 and 50 for group 3. I want to give partial points to each of the individual groups. I want to give 20 points to group 1, 30 to group 2 and 50 to group 3. But how to do this? I can't find any option for this. And I set 1 point for each individual test cases. Will they be added up? I mean I have 20 cases for group 1 and each of them worths 1 point. Will they add up and make 20 points for that particular group?

Edit: This is my Checker code: Checker

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Today I've listed some DP tutorials and problems. Actually, I made it for my personal practice. But I think It may Help others too.

Update: I write stuff Here in Bengali. I probably have one or two basic DP tutorials too. If you understand Bengali, it may help.

Note: If you have some other tutorial links and nice problems, mention them. I'll add them here. It'll help me too.

Dynamic programming:

Dynamic Programming Youtube Tutorials:

Dynamic Programming related contests:

Problems related to Dynamic Programming:

You have to solve these problems to develop DP skills

Simple DP Problems:

Bitmask DP problems:

DP on Trees Problems:

Some Hard DP Problems:

Additional Problems

Thank You So Much.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Recently I tried to solve Loj-1339 and found some ideas.

The main problem is :

There are several communities in the city. Each community consists of some consecutive houses such that every house belongs to exactly one community. The houses are numbered from 1 to n, and the communities are numbered from 1 to c.

Now some inspectors want to find the strongest community considering all houses from i to j. A community is strongest if maximum houses in the range belong to this community. So, there can be more than one strongest community in the range. So, they want to know the number of houses that belong to the strongest community.

Each case starts with a line containing three integers n (1 ≤ n ≤ 105), c (1 ≤ c ≤ n) and q (1 ≤ q ≤ 50000). The next line contains n space separated integers (each between 1 and c) denoting the communities the houses belong to. You can assume that the input follows the restrictions given above, and there are exactly c communities.

Each of the next q lines contains two integers i and j (1 ≤ i ≤ j ≤ n) denoting that the inspectors are asking for the result considering houses from i to j (inclusive).

It can be done with Mo' algorithm. If I was told to find number of distinct integers from i to j then I can easily find the answer using Mo. but problems occur when max-min is wanted. I'm not able to keep track of the maximum community. When I add values, I can do this, but while removing,I can't find out a way to track the maximum. One of my friends told me to make a sqrt decomposition for the array. After adding/removing, somehow we have to maintain the aux[] array, and for queries, suppose we have sqrt(n) blocks, then from i to j, if any block is fully inside i and j then we just take the max from the block Id and if it doesn't , we just loop through the array. But I am not sure about this idea, also I can't implement it properly, can you please help me about this problem ? Thanks in advance.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Hello. I think codeforces contribution calculation system so complicated.I don't know how it is calculated. Can anyone tell me ? Is there any formulas or something else just like rating change system ? Sometimes I see that some of my comments has +45 contribution, but my contribution increases only 4-5 and sometimes +3/+4 changes the main contribution more than that. Suppose, I get downvote(let x) in a comment, but my main contribution changes randomly(I think so).

I didn't get any kinds of patterns. What's your opinion about it ? I wonder how it is calculated. If you know anything about it, please inform me, I'll be grateful to you. Thanks in advance.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Recently I have to solve a problem like : given an array, update n times in range [Li..Ri] and then output the array .I updated them using segment tree and I found the array by querying indexes one by one. It took nlog(n). Can I do it in O(n) ? And additionally, can I find the condition of any index in O(1) ? Thanks in advance.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Recently, I learned Bitmask DP and used only a variable to see if some block was visited or not. But now I want to do it using std::bitset. Will it be more or less efficient than the first one ? If yes or no, why ? I'm just confused. I think bitset should be fine. and I want to use it because it is easy to use.What's your opinion ? thanks in advance.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 5 years ago, In English

Hello , Can someone set IOI style problems using codeforces polygon ? Actually can we make a contest using IOI style problems, where we will be able to use subtasks and other stuffs ?

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello, I have been trying a lot to solve Trail Maintence(LOJ), but I am getting RTE every time. I have been trying in many different ways, but at last I am getting RTE, don't know why. Can anyone help me debugging it please?

Thanks in advance

My code

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello, I have tried a lot to solve MKTHNUM-spoj. For solving this , I have slightly changed the problem statement, it goes like this :

you are asked to find a number such that there are k-1 numbers less than that in range [l...r]

Then I made a merge sort tree and sorted the initial array and Binary Searched it. My time complexity is : O((log2(n))2) . I am getting Runtime Error in case 11 (i think). But couldn't find the bug :'( .

Updt: Now I am getting wrong answer. first 14 test cases ran smmothly

here goes my code :

#include<bits/stdc++.h>
#define all(v) v.begin(),v.end()
using namespace std;

const int N = 100099;
vector<int>tree[N*3];
int ara[N+12];

void build(int at ,int l,int r)
{
    if(l == r){
	tree[at].push_back(ara[l]);
	return;
    }
    int mid = (l+r)/2;
    build(at*2,l,mid);
    build(at*2+1,mid+1,r);
	
    merge(all(tree[at*2]),all(tree[at*2+1]),back_inserter(tree[at]));
}

int query(int at,int L,int R,int l,int r,int indx)
{
    if(l > R or r < L)return 0;
    if(L >= l and r >= R){
	int pp = upper_bound(all(tree[at]),ara[indx])-tree[at].begin();
	return pp;
    }
    int mid = (L+R)/2;
    return query(at*2,L,mid,l,r,indx) + query(at*2+1,mid+1,R,l,r,indx);
}

int main()
{
    int n,q,l,r,k;
    scanf("%d%d",&n,&q);
    for(int i= 1; i <= n;i++){
	scanf("%d",&ara[i]);
    }
    build(1,1,n);
    sort(ara+1,ara+1+n);
    while(q--){
	scanf("%d%d%d",&l,&r,&k);
	int high = n,low = 1,mid,ans = -1;
	int cnt = 0;
	while(low <= high){
	    mid = (low+high)/2;
	    int pp = query(1,1,n,l,r,mid);
	    if(k <= pp){
		ans = mid;
		high = mid-1;
	   }
	   else low = mid+1;
	}
    printf("%d\n",ans);
    }	
    return 0;
}

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Recently learned basics about Articulation Bridge and vertex...

Now I want to solve some problems and learn advanced algos related to it. please help me by giving me more sources.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello codeforces , I tried to solve Light Oj : 1110 — An Easy LCS but getting TLE , here is My code please help me to reduce my runtime :) thanks for advance :)

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

I saw someone to use a function instead of cin/scanf to input a number;

like that :

int n;
n = in();

where in() function is given bellow :

template <typename T> T in(){char ch;T n = 0;bool ng = false;while (1){ch =getchar();if (ch == '-'){ng = true;ch = getchar();break;}if (ch>='0' && ch<='9')break;}while (1){n = n*10 + (ch - '0');ch = getchar();if (ch<'0' || ch>'9')break;}return (ng?-n:n);}  ?

i don't know what is faster , i also don't know , how scanf or cin works , can anyone please tell me ????

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Lets Have fun , play a game :D :D :D

Hello codeforces , hello everybody , you all know , ACM ICPC is gonna be started , :) , and many of the participants are also CF users , and let's start a game for them , according to codeforces ratings , can you tell me which team is first ???

All you have to do , calculate their average ratings , and add them ( add the three ratings ) and divide them by 3 , Because there are 3 members in a team , and finally you will get a average rating , and according to them , you have to find the maximum rating of all the teams , and comment the name of their country and team/University name . and if you get board , you should not do it , you will suggest the avg ratings of a team in the comment box and i will fix it .

the winner will be included soon i wish :D :D

happy coding everybody :D :D good luck 1.

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello codeforces , I have recently started learning BFS/DFS . and I tried solving following problem : Uva 10653 and My code

please someone help me debug my problem

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello codeforces , I am a beginner , and I started learning Dynamic programming a few days ago . I haven't learned any specific algorithm yet , but i wanna practice some DP problems , can anyone suggest some easy DP problems please ??

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello everybody , I have tried a lot to solve the light oj 1087 — Diablo problem .

problem link : http://www.lightoj.com/volume_showproblem.php?problem=1087

My test sample output is not matching , I have tried a lot , I am a noob , please help me to debug my code . Why does it occur ??

my code : https://paste.ubuntu.com/26080511/

Please help me , Downvote ?? It's okay . But please help me ..................

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello , I can't realize why the judge output is much strange !!! problem link : http://codeforces.com/contest/451/problem/B

my code : https://paste.ubuntu.com/25939858/

judge status : http://codeforces.com/contest/451/submission/32225322

in my compiler , answer is okay , but where is the problem ?? I have also tested in different online compilers also

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

I have tried a lot to solve the "milking cow" problem of USACO . But WA in test 7 . I don't know what is the problem , i have tried multiple approaches , but it still wrong in test 7 . can you please help me to find my bug please ????

my code : https://paste.ubuntu.com/25901070/

problem source : http://train.usaco.org/usacoprob2?a=pxSIvVnwAXn&S=milk2

please please please help me guys , I have tried my best .

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Just one question , am I doing any kinds of segmentation violation ?? such as -> wrong ara indexing or accessing memory out of bounds etc etc ???

memory limit : 256 mb

code : https://paste.ubuntu.com/25887595/

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 6 years ago, In English

Hello everybody , please help me , i was solving problems in light oj , "curious Robin Hood" and getting wrong answer. problem link : http://lightoj.com/volume_showproblem.php?problem=1112

code link : https://paste.ubuntu.com/25753376/

i am a beginner and i recently learned a bit about segment tree , i used segment tree in this solution , but i can't find my faults , can anyone please help me ?

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 7 years ago, In English

everything seems okay , where is the problem ? can you explain ? problem link : http://codeforces.com/contest/855/problem/B

my code : https://paste.ubuntu.com/25608466/

Full text and comments »

By Ahnaf.Shahriar.Asif, history, 7 years ago, In English

I was solving problems in light online judge , and got "output Limit Exceeded" ! but I still don't know about it . Can you please tell me what does it mean ? and when it happens ? problem link :http://www.lightoj.com/volume_showproblem.php?problem=1212 my code : https://paste.ubuntu.com/25534441/

Full text and comments »